package com.steerinfo.pretrack.prebeltscale.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="皮带秤预报表")
public class PreBeltScale implements IBasePO<String> {
    /**
     * 预报编号(YYYYMMDD+4位流水)(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号(YYYYMMDD+4位流水)",required=true)
    private String predictionNo;

    /**
     * 通知单号(NOTICE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="通知单号",required=false)
    private String noticeNo;

    /**
     * 批号(BATCH_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="批号",required=false)
    private String batchNo;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(0=无效，1=有效，2=使用中，3=已完成)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态(0=无效，1=有效，2=使用中，3=已完成)",required=false)
    private String valueFlag;

    /**
     * 产品名称编号(PRODUCT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="产品名称编号",required=false)
    private String productNo;

    /**
     * 产品名称(PRODUCT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="产品名称",required=false)
    private String productName;

    /**
     * 牌号编号（钢号编码）(GRADE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="牌号编号（钢号编码）",required=false)
    private String gradeNo;

    /**
     * 牌号名称（钢号名称）(GRADE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="牌号名称（钢号名称）",required=false)
    private String gradeName;

    /**
     * 标准编号(STANDARD_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="标准编号",required=false)
    private String standardNo;

    /**
     * 标准名称(STANDARD_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="标准名称",required=false)
    private String standardName;

    /**
     * 包号（顺序号）(PACKAGE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="包号（顺序号）",required=false)
    private String packageNo;

    /**
     * 块数（支数）(BLOCK_NUM,VARCHAR,20)
     */
    @ApiModelProperty(value="块数（支数）",required=false)
    private String blockNum;

    /**
     * 生产日期(PRODUCT_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="生产日期",required=false)
    private Date productDate;

    /**
     * 铅封号(SEAL_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="铅封号",required=false)
    private String sealNo;

    /**
     * 桶号（用作船号）(BUCKET_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="桶号",required=false)
    private String bucketNo;

    /**
     * 供应商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String customerSupplierNo;

    /**
     * 供应商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String customerSupplierName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 规格编号(SPEC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="规格编号",required=false)
    private String specNo;

    /**
     * 规格名称(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格名称",required=false)
    private String specName;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 炉号(HEAT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="炉号",required=false)
    private String heatNo;

    /**
     * MES炉号（炉号后8位）(HEAT_NO_MES,VARCHAR,20)
     */
    @ApiModelProperty(value="MES炉号（炉号后8位）",required=false)
    private String heatNoMes;

    /**
     * 顺序炉号（炉号后8位+顺序号）(HEAT_NO_SEQ,VARCHAR,20)
     */
    @ApiModelProperty(value="顺序炉号（炉号后8位+顺序号）",required=false)
    private String heatNoSeq;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 计量班次(METER_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="计量班次",required=false)
    private String meterClass;

    /**
     * 计量班组(METER_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="计量班组",required=false)
    private String meterGroup;

    /**
     * 理论重量（可通过计算获得）(THEORETICAL_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="理论重量（可通过计算获得）",required=false)
    private BigDecimal theoreticalWeight;

    /**
     * 重量差值（预报理论重量、标准件重量）(WEIGHT_DIFF,DECIMAL,15)
     */
    @ApiModelProperty(value="重量差值（预报理论重量、标准件重量）",required=false)
    private BigDecimal weightDiff;

    /**
     * 卸货码头(UNLOAD_WHARF,VARCHAR,20)
     */
    @ApiModelProperty(value="卸货码头",required=false)
    private String unloadWharf;

    /**
     * 开卸时间(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="开卸时间",required=false)
    private Date startTime;

    /**
     * 压港时间(OVERSTOCK,TIMESTAMP,7)
     */
    @ApiModelProperty(value="压港时间",required=false)
    private Date overstock;

    /**
     * 卸货地点(UNLOAD_SITE,VARCHAR,20)
     */
    @ApiModelProperty(value="卸货地点",required=false)
    private String unloadSite;

    /**
     * 发运重量(FORWARDING_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="发运重量",required=false)
    private BigDecimal forwardingWeight;

    /**
     * 船号(SHIP_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="船号",required=false)
    private String shipNo;
    /**
     * 合同号(ORDER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="合同号",required=false)
    private String orderNo;

    /**
     * 新物料名称(new_mat_name,VARCHAR,20)
     */
    @ApiModelProperty(value="新物料名称",required=false)
    private String newMatName;


    /**
     * 新规格(new_gg,VARCHAR,20)
     */
    @ApiModelProperty(value="新规格",required=false)
    private String newGg;


    /**
     * 海轮号(new_hlh,VARCHAR,20)
     */
    @ApiModelProperty(value="海轮号",required=false)
    private String newHlh;


    /**
     * 新发货单位(new_supplier,VARCHAR,20)
     */
    @ApiModelProperty(value="新发货单位",required=false)
    private String newSupplier;

    public String getNewMatName() {
        return newMatName;
    }

    public void setNewMatName(String newMatName) {
        this.newMatName = newMatName;
    }

    public String getNewGg() {
        return newGg;
    }

    public void setNewGg(String newGg) {
        this.newGg = newGg;
    }

    public String getNewHlh() {
        return newHlh;
    }

    public void setNewHlh(String newHlh) {
        this.newHlh = newHlh;
    }

    public String getNewSupplier() {
        return newSupplier;
    }

    public void setNewSupplier(String newSupplier) {
        this.newSupplier = newSupplier;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.predictionNo;
    }

    @Override
    public void setId(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getNoticeNo() {
        return noticeNo;
    }

    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo == null ? null : noticeNo.trim();
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo == null ? null : productNo.trim();
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName == null ? null : productName.trim();
    }

    public String getGradeNo() {
        return gradeNo;
    }

    public void setGradeNo(String gradeNo) {
        this.gradeNo = gradeNo == null ? null : gradeNo.trim();
    }

    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName == null ? null : gradeName.trim();
    }

    public String getStandardNo() {
        return standardNo;
    }

    public void setStandardNo(String standardNo) {
        this.standardNo = standardNo == null ? null : standardNo.trim();
    }

    public String getStandardName() {
        return standardName;
    }

    public void setStandardName(String standardName) {
        this.standardName = standardName == null ? null : standardName.trim();
    }

    public String getPackageNo() {
        return packageNo;
    }

    public void setPackageNo(String packageNo) {
        this.packageNo = packageNo == null ? null : packageNo.trim();
    }

    public String getBlockNum() {
        return blockNum;
    }

    public void setBlockNum(String blockNum) {
        this.blockNum = blockNum == null ? null : blockNum.trim();
    }

    public Date getProductDate() {
        return productDate;
    }

    public void setProductDate(Date productDate) {
        this.productDate = productDate;
    }

    public String getSealNo() {
        return sealNo;
    }

    public void setSealNo(String sealNo) {
        this.sealNo = sealNo == null ? null : sealNo.trim();
    }

    public String getBucketNo() {
        return bucketNo;
    }

    public void setBucketNo(String bucketNo) {
        this.bucketNo = bucketNo == null ? null : bucketNo.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo == null ? null : specNo.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getHeatNo() {
        return heatNo;
    }

    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo == null ? null : heatNo.trim();
    }

    public String getHeatNoMes() {
        return heatNoMes;
    }

    public void setHeatNoMes(String heatNoMes) {
        this.heatNoMes = heatNoMes == null ? null : heatNoMes.trim();
    }

    public String getHeatNoSeq() {
        return heatNoSeq;
    }

    public void setHeatNoSeq(String heatNoSeq) {
        this.heatNoSeq = heatNoSeq == null ? null : heatNoSeq.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getMeterClass() {
        return meterClass;
    }

    public void setMeterClass(String meterClass) {
        this.meterClass = meterClass == null ? null : meterClass.trim();
    }

    public String getMeterGroup() {
        return meterGroup;
    }

    public void setMeterGroup(String meterGroup) {
        this.meterGroup = meterGroup == null ? null : meterGroup.trim();
    }

    public BigDecimal getTheoreticalWeight() {
        return theoreticalWeight;
    }

    public void setTheoreticalWeight(BigDecimal theoreticalWeight) {
        this.theoreticalWeight = theoreticalWeight;
    }

    public BigDecimal getWeightDiff() {
        return weightDiff;
    }

    public void setWeightDiff(BigDecimal weightDiff) {
        this.weightDiff = weightDiff;
    }

    public String getUnloadWharf() {
        return unloadWharf;
    }

    public void setUnloadWharf(String unloadWharf) {
        this.unloadWharf = unloadWharf == null ? null : unloadWharf.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getOverstock() {
        return overstock;
    }

    public void setOverstock(Date overstock) {
        this.overstock = overstock;
    }

    public String getUnloadSite() {
        return unloadSite;
    }

    public void setUnloadSite(String unloadSite) {
        this.unloadSite = unloadSite == null ? null : unloadSite.trim();
    }

    public BigDecimal getForwardingWeight() {
        return forwardingWeight;
    }

    public void setForwardingWeight(BigDecimal forwardingWeight) {
        this.forwardingWeight = forwardingWeight;
    }

    public String getShipNo() {
        return shipNo;
    }

    public void setShipNo(String shipNo) {
        this.shipNo = shipNo == null ? null : shipNo.trim();
    }

    @Override
    public String toString() {
        return "PreBeltScale{" +
                "predictionNo='" + predictionNo + '\'' +
                ", noticeNo='" + noticeNo + '\'' +
                ", batchNo='" + batchNo + '\'' +
                ", memo='" + memo + '\'' +
                ", valueFlag='" + valueFlag + '\'' +
                ", productNo='" + productNo + '\'' +
                ", productName='" + productName + '\'' +
                ", gradeNo='" + gradeNo + '\'' +
                ", gradeName='" + gradeName + '\'' +
                ", standardNo='" + standardNo + '\'' +
                ", standardName='" + standardName + '\'' +
                ", packageNo='" + packageNo + '\'' +
                ", blockNum='" + blockNum + '\'' +
                ", productDate=" + productDate +
                ", sealNo='" + sealNo + '\'' +
                ", bucketNo='" + bucketNo + '\'' +
                ", customerSupplierNo='" + customerSupplierNo + '\'' +
                ", customerSupplierName='" + customerSupplierName + '\'' +
                ", forwardingUnitNo='" + forwardingUnitNo + '\'' +
                ", forwardingUnitName='" + forwardingUnitName + '\'' +
                ", receivingUintNo='" + receivingUintNo + '\'' +
                ", receivingUintName='" + receivingUintName + '\'' +
                ", specNo='" + specNo + '\'' +
                ", specName='" + specName + '\'' +
                ", createManNo='" + createManNo + '\'' +
                ", createManName='" + createManName + '\'' +
                ", createTime=" + createTime +
                ", updateManNo='" + updateManNo + '\'' +
                ", updateManName='" + updateManName + '\'' +
                ", updateTime=" + updateTime +
                ", deleteManNo='" + deleteManNo + '\'' +
                ", deleteManName='" + deleteManName + '\'' +
                ", deleteTime=" + deleteTime +
                ", heatNo='" + heatNo + '\'' +
                ", heatNoMes='" + heatNoMes + '\'' +
                ", heatNoSeq='" + heatNoSeq + '\'' +
                ", baseSpotNo='" + baseSpotNo + '\'' +
                ", baseSpotName='" + baseSpotName + '\'' +
                ", meterClass='" + meterClass + '\'' +
                ", meterGroup='" + meterGroup + '\'' +
                ", theoreticalWeight=" + theoreticalWeight +
                ", weightDiff=" + weightDiff +
                ", unloadWharf='" + unloadWharf + '\'' +
                ", startTime=" + startTime +
                ", overstock=" + overstock +
                ", unloadSite='" + unloadSite + '\'' +
                ", forwardingWeight=" + forwardingWeight +
                ", shipNo='" + shipNo + '\'' +
                ", orderNo='" + orderNo + '\'' +
                ", newMatName='" + newMatName + '\'' +
                ", newGg='" + newGg + '\'' +
                ", newHlh='" + newHlh + '\'' +
                ", newSupplier='" + newSupplier + '\'' +
                '}';
    }
}